## org.jfree.xml.writer
Class XMLWriterException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jfree.util.StackableException
                  org.jfree.xml.util.ObjectDescriptionException
                      org.jfree.xml.writer.XMLWriterException

All Implemented Interfaces:
  java.io.Serializable

    public class XMLWriterException

extends ObjectDescriptionException

An exception that can be thrown by the `XMLWriter` class.

See Also:
  Serialized Form

Constructor Summary
`XMLWriterException()` Creates a new exception with no message or parent.
`XMLWriterException(java.lang.String message)` Creates an exception.
`XMLWriterException(java.lang.String message, java.lang.Exception ex)` Creates an exception.

Method Summary

Methods inherited from class org.jfree.util.StackableException
`getParent, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLWriterException

    public XMLWriterException()

  Creates a new exception with no message or parent.

### XMLWriterException

    public XMLWriterException(java.lang.String message)

  Creates an exception.

  Parameters:
    `message` - the exception message.

### XMLWriterException

    public XMLWriterException(java.lang.String message,
                              java.lang.Exception ex)

  Creates an exception.

  Parameters:
    `message` - the exception message.
    `ex` - the parent exception.